# SynteraAI DevOps Toolkit

An AI-powered DevOps toolkit for infrastructure automation and analysis. This tool helps DevOps engineers automate infrastructure recommendations, security scanning, code quality analysis, and more using AI.

## Features

- 🤖 AI-powered infrastructure recommendations
- 🔒 Security scanning and analysis
- 📊 Code quality analysis
- 🐳 Docker file generation
- 📦 Dependency checking
- 👥 Contributor statistics
- 📝 Log analysis
- ⚡ Performance optimization suggestions

## Installation

```bash
pip install syntera-ai
```

## Quick Start

1. Set up your OpenAI API key:
```bash
export OPENAI_API_KEY='your-api-key-here'
```

2. Run the dashboard:
```bash
syntera-ai dashboard
```

3. Enter your GitHub repository URL when prompted.

4. Use the interactive dashboard to:
   - Generate infrastructure recommendations
   - Perform security scans
   - Analyze code quality
   - Generate Docker files
   - And more!

## Usage Examples

### Infrastructure Recommendations
```bash
syntera-ai dashboard
# Select option 2 for infrastructure recommendations
```

### Security Scanning
```bash
syntera-ai dashboard
# Select option 3 for security scanning
```

### Code Quality Analysis
```bash
syntera-ai dashboard
# Select option 6 for code quality analysis
```

## Requirements

- Python 3.8 or higher
- OpenAI API key
- Git (for repository analysis)

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the MIT License - see the LICENSE file for details.

## Author

Fouad Mahmoud
- GitHub: [@fouadmahmoud281](https://github.com/fouadmahmoud281)
- Email: fouadmahmoud281@gmail.com 